一个解决Windows下Vundle无法更新Bug的小工具

Vundle是一个非常不错的管理Vim插件的插件(怎么这么别扭…),但是我在使用的时候发现一个问题:Windows下使用BundleInstall!更新会出错,提示“文件名、目录名或卷标语法不正确”,原因是他在调用git命令的时候使用双引号将整行命令用引号括起来了,导致windows命令行无法识别命令。

本来想直接修改Vundle源代码的,但是一来没用过VimScript不知道能不能改成功,二来改了之后在作者Merge之前都会导致Vundle插件本身无法正常更新,于是便写了这么个小工具用来修复Vundle的bug。

使用方法很简单,将BundleUpdate.exe放入Vim73目录下,之后在需要更新插件的时候执行

:!BundleUpdate

就行了。

下载: http://www.everbox.com/f/t2LfiJnuzkv8ewepsGhQpcMaUq